Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.3.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
24.3.0.0
Broadcast address
24.3.31.255
First usable
24.3.0.1
Last usable
24.3.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 18030000 · Integer 402849792 to 402857983
Reverse DNS zones
0.3.24.in-addr.arpa
1.3.24.in-addr.arpa
2.3.24.in-addr.arpa
3.3.24.in-addr.arpa
4.3.24.in-addr.arpa
5.3.24.in-addr.arpa
6.3.24.in-addr.arpa
7.3.24.in-addr.arpa
8.3.24.in-addr.arpa
9.3.24.in-addr.arpa
10.3.24.in-addr.arpa
11.3.24.in-addr.arpa
12.3.24.in-addr.arpa
13.3.24.in-addr.arpa
14.3.24.in-addr.arpa
15.3.24.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.00000011.00000000.0000000024.3.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00011000.00000011.00000000.0000000024.3.0.0
Broadcast00011000.00000011.00011111.1111111124.3.31.255
Split into smaller subnets/28

24.3.0.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.3.0.0/2824.3.0.1 to 24.3.0.1424.3.0.1514
224.3.0.16/2824.3.0.17 to 24.3.0.3024.3.0.3114
324.3.0.32/2824.3.0.33 to 24.3.0.4624.3.0.4714
424.3.0.48/2824.3.0.49 to 24.3.0.6224.3.0.6314
524.3.0.64/2824.3.0.65 to 24.3.0.7824.3.0.7914
624.3.0.80/2824.3.0.81 to 24.3.0.9424.3.0.9514
724.3.0.96/2824.3.0.97 to 24.3.0.11024.3.0.11114
824.3.0.112/2824.3.0.113 to 24.3.0.12624.3.0.12714
924.3.0.128/2824.3.0.129 to 24.3.0.14224.3.0.14314
1024.3.0.144/2824.3.0.145 to 24.3.0.15824.3.0.15914
1124.3.0.160/2824.3.0.161 to 24.3.0.17424.3.0.17514
1224.3.0.176/2824.3.0.177 to 24.3.0.19024.3.0.19114
1324.3.0.192/2824.3.0.193 to 24.3.0.20624.3.0.20714
1424.3.0.208/2824.3.0.209 to 24.3.0.22224.3.0.22314
1524.3.0.224/2824.3.0.225 to 24.3.0.23824.3.0.23914
1624.3.0.240/2824.3.0.241 to 24.3.0.25424.3.0.25514
1724.3.1.0/2824.3.1.1 to 24.3.1.1424.3.1.1514
1824.3.1.16/2824.3.1.17 to 24.3.1.3024.3.1.3114
1924.3.1.32/2824.3.1.33 to 24.3.1.4624.3.1.4714
2024.3.1.48/2824.3.1.49 to 24.3.1.6224.3.1.6314
2124.3.1.64/2824.3.1.65 to 24.3.1.7824.3.1.7914
2224.3.1.80/2824.3.1.81 to 24.3.1.9424.3.1.9514
2324.3.1.96/2824.3.1.97 to 24.3.1.11024.3.1.11114
2424.3.1.112/2824.3.1.113 to 24.3.1.12624.3.1.12714
2524.3.1.128/2824.3.1.129 to 24.3.1.14224.3.1.14314
2624.3.1.144/2824.3.1.145 to 24.3.1.15824.3.1.15914
2724.3.1.160/2824.3.1.161 to 24.3.1.17424.3.1.17514
2824.3.1.176/2824.3.1.177 to 24.3.1.19024.3.1.19114
2924.3.1.192/2824.3.1.193 to 24.3.1.20624.3.1.20714
3024.3.1.208/2824.3.1.209 to 24.3.1.22224.3.1.22314
3124.3.1.224/2824.3.1.225 to 24.3.1.23824.3.1.23914
3224.3.1.240/2824.3.1.241 to 24.3.1.25424.3.1.25514
3324.3.2.0/2824.3.2.1 to 24.3.2.1424.3.2.1514
3424.3.2.16/2824.3.2.17 to 24.3.2.3024.3.2.3114
3524.3.2.32/2824.3.2.33 to 24.3.2.4624.3.2.4714
3624.3.2.48/2824.3.2.49 to 24.3.2.6224.3.2.6314
3724.3.2.64/2824.3.2.65 to 24.3.2.7824.3.2.7914
3824.3.2.80/2824.3.2.81 to 24.3.2.9424.3.2.9514
3924.3.2.96/2824.3.2.97 to 24.3.2.11024.3.2.11114
4024.3.2.112/2824.3.2.113 to 24.3.2.12624.3.2.12714
4124.3.2.128/2824.3.2.129 to 24.3.2.14224.3.2.14314
4224.3.2.144/2824.3.2.145 to 24.3.2.15824.3.2.15914
4324.3.2.160/2824.3.2.161 to 24.3.2.17424.3.2.17514
4424.3.2.176/2824.3.2.177 to 24.3.2.19024.3.2.19114
4524.3.2.192/2824.3.2.193 to 24.3.2.20624.3.2.20714
4624.3.2.208/2824.3.2.209 to 24.3.2.22224.3.2.22314
4724.3.2.224/2824.3.2.225 to 24.3.2.23824.3.2.23914
4824.3.2.240/2824.3.2.241 to 24.3.2.25424.3.2.25514
4924.3.3.0/2824.3.3.1 to 24.3.3.1424.3.3.1514
5024.3.3.16/2824.3.3.17 to 24.3.3.3024.3.3.3114
5124.3.3.32/2824.3.3.33 to 24.3.3.4624.3.3.4714
5224.3.3.48/2824.3.3.49 to 24.3.3.6224.3.3.6314
5324.3.3.64/2824.3.3.65 to 24.3.3.7824.3.3.7914
5424.3.3.80/2824.3.3.81 to 24.3.3.9424.3.3.9514
5524.3.3.96/2824.3.3.97 to 24.3.3.11024.3.3.11114
5624.3.3.112/2824.3.3.113 to 24.3.3.12624.3.3.12714
5724.3.3.128/2824.3.3.129 to 24.3.3.14224.3.3.14314
5824.3.3.144/2824.3.3.145 to 24.3.3.15824.3.3.15914
5924.3.3.160/2824.3.3.161 to 24.3.3.17424.3.3.17514
6024.3.3.176/2824.3.3.177 to 24.3.3.19024.3.3.19114
6124.3.3.192/2824.3.3.193 to 24.3.3.20624.3.3.20714
6224.3.3.208/2824.3.3.209 to 24.3.3.22224.3.3.22314
6324.3.3.224/2824.3.3.225 to 24.3.3.23824.3.3.23914
6424.3.3.240/2824.3.3.241 to 24.3.3.25424.3.3.25514
6524.3.4.0/2824.3.4.1 to 24.3.4.1424.3.4.1514
6624.3.4.16/2824.3.4.17 to 24.3.4.3024.3.4.3114
6724.3.4.32/2824.3.4.33 to 24.3.4.4624.3.4.4714
6824.3.4.48/2824.3.4.49 to 24.3.4.6224.3.4.6314
6924.3.4.64/2824.3.4.65 to 24.3.4.7824.3.4.7914
7024.3.4.80/2824.3.4.81 to 24.3.4.9424.3.4.9514
7124.3.4.96/2824.3.4.97 to 24.3.4.11024.3.4.11114
7224.3.4.112/2824.3.4.113 to 24.3.4.12624.3.4.12714
7324.3.4.128/2824.3.4.129 to 24.3.4.14224.3.4.14314
7424.3.4.144/2824.3.4.145 to 24.3.4.15824.3.4.15914
7524.3.4.160/2824.3.4.161 to 24.3.4.17424.3.4.17514
7624.3.4.176/2824.3.4.177 to 24.3.4.19024.3.4.19114
7724.3.4.192/2824.3.4.193 to 24.3.4.20624.3.4.20714
7824.3.4.208/2824.3.4.209 to 24.3.4.22224.3.4.22314
7924.3.4.224/2824.3.4.225 to 24.3.4.23824.3.4.23914
8024.3.4.240/2824.3.4.241 to 24.3.4.25424.3.4.25514
8124.3.5.0/2824.3.5.1 to 24.3.5.1424.3.5.1514
8224.3.5.16/2824.3.5.17 to 24.3.5.3024.3.5.3114
8324.3.5.32/2824.3.5.33 to 24.3.5.4624.3.5.4714
8424.3.5.48/2824.3.5.49 to 24.3.5.6224.3.5.6314
8524.3.5.64/2824.3.5.65 to 24.3.5.7824.3.5.7914
8624.3.5.80/2824.3.5.81 to 24.3.5.9424.3.5.9514
8724.3.5.96/2824.3.5.97 to 24.3.5.11024.3.5.11114
8824.3.5.112/2824.3.5.113 to 24.3.5.12624.3.5.12714
8924.3.5.128/2824.3.5.129 to 24.3.5.14224.3.5.14314
9024.3.5.144/2824.3.5.145 to 24.3.5.15824.3.5.15914
9124.3.5.160/2824.3.5.161 to 24.3.5.17424.3.5.17514
9224.3.5.176/2824.3.5.177 to 24.3.5.19024.3.5.19114
9324.3.5.192/2824.3.5.193 to 24.3.5.20624.3.5.20714
9424.3.5.208/2824.3.5.209 to 24.3.5.22224.3.5.22314
9524.3.5.224/2824.3.5.225 to 24.3.5.23824.3.5.23914
9624.3.5.240/2824.3.5.241 to 24.3.5.25424.3.5.25514
9724.3.6.0/2824.3.6.1 to 24.3.6.1424.3.6.1514
9824.3.6.16/2824.3.6.17 to 24.3.6.3024.3.6.3114
9924.3.6.32/2824.3.6.33 to 24.3.6.4624.3.6.4714
10024.3.6.48/2824.3.6.49 to 24.3.6.6224.3.6.6314
10124.3.6.64/2824.3.6.65 to 24.3.6.7824.3.6.7914
10224.3.6.80/2824.3.6.81 to 24.3.6.9424.3.6.9514
10324.3.6.96/2824.3.6.97 to 24.3.6.11024.3.6.11114
10424.3.6.112/2824.3.6.113 to 24.3.6.12624.3.6.12714
10524.3.6.128/2824.3.6.129 to 24.3.6.14224.3.6.14314
10624.3.6.144/2824.3.6.145 to 24.3.6.15824.3.6.15914
10724.3.6.160/2824.3.6.161 to 24.3.6.17424.3.6.17514
10824.3.6.176/2824.3.6.177 to 24.3.6.19024.3.6.19114
10924.3.6.192/2824.3.6.193 to 24.3.6.20624.3.6.20714
11024.3.6.208/2824.3.6.209 to 24.3.6.22224.3.6.22314
11124.3.6.224/2824.3.6.225 to 24.3.6.23824.3.6.23914
11224.3.6.240/2824.3.6.241 to 24.3.6.25424.3.6.25514
11324.3.7.0/2824.3.7.1 to 24.3.7.1424.3.7.1514
11424.3.7.16/2824.3.7.17 to 24.3.7.3024.3.7.3114
11524.3.7.32/2824.3.7.33 to 24.3.7.4624.3.7.4714
11624.3.7.48/2824.3.7.49 to 24.3.7.6224.3.7.6314
11724.3.7.64/2824.3.7.65 to 24.3.7.7824.3.7.7914
11824.3.7.80/2824.3.7.81 to 24.3.7.9424.3.7.9514
11924.3.7.96/2824.3.7.97 to 24.3.7.11024.3.7.11114
12024.3.7.112/2824.3.7.113 to 24.3.7.12624.3.7.12714
12124.3.7.128/2824.3.7.129 to 24.3.7.14224.3.7.14314
12224.3.7.144/2824.3.7.145 to 24.3.7.15824.3.7.15914
12324.3.7.160/2824.3.7.161 to 24.3.7.17424.3.7.17514
12424.3.7.176/2824.3.7.177 to 24.3.7.19024.3.7.19114
12524.3.7.192/2824.3.7.193 to 24.3.7.20624.3.7.20714
12624.3.7.208/2824.3.7.209 to 24.3.7.22224.3.7.22314
12724.3.7.224/2824.3.7.225 to 24.3.7.23824.3.7.23914
12824.3.7.240/2824.3.7.241 to 24.3.7.25424.3.7.25514
12924.3.8.0/2824.3.8.1 to 24.3.8.1424.3.8.1514
13024.3.8.16/2824.3.8.17 to 24.3.8.3024.3.8.3114
13124.3.8.32/2824.3.8.33 to 24.3.8.4624.3.8.4714
13224.3.8.48/2824.3.8.49 to 24.3.8.6224.3.8.6314
13324.3.8.64/2824.3.8.65 to 24.3.8.7824.3.8.7914
13424.3.8.80/2824.3.8.81 to 24.3.8.9424.3.8.9514
13524.3.8.96/2824.3.8.97 to 24.3.8.11024.3.8.11114
13624.3.8.112/2824.3.8.113 to 24.3.8.12624.3.8.12714
13724.3.8.128/2824.3.8.129 to 24.3.8.14224.3.8.14314
13824.3.8.144/2824.3.8.145 to 24.3.8.15824.3.8.15914
13924.3.8.160/2824.3.8.161 to 24.3.8.17424.3.8.17514
14024.3.8.176/2824.3.8.177 to 24.3.8.19024.3.8.19114
14124.3.8.192/2824.3.8.193 to 24.3.8.20624.3.8.20714
14224.3.8.208/2824.3.8.209 to 24.3.8.22224.3.8.22314
14324.3.8.224/2824.3.8.225 to 24.3.8.23824.3.8.23914
14424.3.8.240/2824.3.8.241 to 24.3.8.25424.3.8.25514
14524.3.9.0/2824.3.9.1 to 24.3.9.1424.3.9.1514
14624.3.9.16/2824.3.9.17 to 24.3.9.3024.3.9.3114
14724.3.9.32/2824.3.9.33 to 24.3.9.4624.3.9.4714
14824.3.9.48/2824.3.9.49 to 24.3.9.6224.3.9.6314
14924.3.9.64/2824.3.9.65 to 24.3.9.7824.3.9.7914
15024.3.9.80/2824.3.9.81 to 24.3.9.9424.3.9.9514
15124.3.9.96/2824.3.9.97 to 24.3.9.11024.3.9.11114
15224.3.9.112/2824.3.9.113 to 24.3.9.12624.3.9.12714
15324.3.9.128/2824.3.9.129 to 24.3.9.14224.3.9.14314
15424.3.9.144/2824.3.9.145 to 24.3.9.15824.3.9.15914
15524.3.9.160/2824.3.9.161 to 24.3.9.17424.3.9.17514
15624.3.9.176/2824.3.9.177 to 24.3.9.19024.3.9.19114
15724.3.9.192/2824.3.9.193 to 24.3.9.20624.3.9.20714
15824.3.9.208/2824.3.9.209 to 24.3.9.22224.3.9.22314
15924.3.9.224/2824.3.9.225 to 24.3.9.23824.3.9.23914
16024.3.9.240/2824.3.9.241 to 24.3.9.25424.3.9.25514
16124.3.10.0/2824.3.10.1 to 24.3.10.1424.3.10.1514
16224.3.10.16/2824.3.10.17 to 24.3.10.3024.3.10.3114
16324.3.10.32/2824.3.10.33 to 24.3.10.4624.3.10.4714
16424.3.10.48/2824.3.10.49 to 24.3.10.6224.3.10.6314
16524.3.10.64/2824.3.10.65 to 24.3.10.7824.3.10.7914
16624.3.10.80/2824.3.10.81 to 24.3.10.9424.3.10.9514
16724.3.10.96/2824.3.10.97 to 24.3.10.11024.3.10.11114
16824.3.10.112/2824.3.10.113 to 24.3.10.12624.3.10.12714
16924.3.10.128/2824.3.10.129 to 24.3.10.14224.3.10.14314
17024.3.10.144/2824.3.10.145 to 24.3.10.15824.3.10.15914
17124.3.10.160/2824.3.10.161 to 24.3.10.17424.3.10.17514
17224.3.10.176/2824.3.10.177 to 24.3.10.19024.3.10.19114
17324.3.10.192/2824.3.10.193 to 24.3.10.20624.3.10.20714
17424.3.10.208/2824.3.10.209 to 24.3.10.22224.3.10.22314
17524.3.10.224/2824.3.10.225 to 24.3.10.23824.3.10.23914
17624.3.10.240/2824.3.10.241 to 24.3.10.25424.3.10.25514
17724.3.11.0/2824.3.11.1 to 24.3.11.1424.3.11.1514
17824.3.11.16/2824.3.11.17 to 24.3.11.3024.3.11.3114
17924.3.11.32/2824.3.11.33 to 24.3.11.4624.3.11.4714
18024.3.11.48/2824.3.11.49 to 24.3.11.6224.3.11.6314
18124.3.11.64/2824.3.11.65 to 24.3.11.7824.3.11.7914
18224.3.11.80/2824.3.11.81 to 24.3.11.9424.3.11.9514
18324.3.11.96/2824.3.11.97 to 24.3.11.11024.3.11.11114
18424.3.11.112/2824.3.11.113 to 24.3.11.12624.3.11.12714
18524.3.11.128/2824.3.11.129 to 24.3.11.14224.3.11.14314
18624.3.11.144/2824.3.11.145 to 24.3.11.15824.3.11.15914
18724.3.11.160/2824.3.11.161 to 24.3.11.17424.3.11.17514
18824.3.11.176/2824.3.11.177 to 24.3.11.19024.3.11.19114
18924.3.11.192/2824.3.11.193 to 24.3.11.20624.3.11.20714
19024.3.11.208/2824.3.11.209 to 24.3.11.22224.3.11.22314
19124.3.11.224/2824.3.11.225 to 24.3.11.23824.3.11.23914
19224.3.11.240/2824.3.11.241 to 24.3.11.25424.3.11.25514
19324.3.12.0/2824.3.12.1 to 24.3.12.1424.3.12.1514
19424.3.12.16/2824.3.12.17 to 24.3.12.3024.3.12.3114
19524.3.12.32/2824.3.12.33 to 24.3.12.4624.3.12.4714
19624.3.12.48/2824.3.12.49 to 24.3.12.6224.3.12.6314
19724.3.12.64/2824.3.12.65 to 24.3.12.7824.3.12.7914
19824.3.12.80/2824.3.12.81 to 24.3.12.9424.3.12.9514
19924.3.12.96/2824.3.12.97 to 24.3.12.11024.3.12.11114
20024.3.12.112/2824.3.12.113 to 24.3.12.12624.3.12.12714
20124.3.12.128/2824.3.12.129 to 24.3.12.14224.3.12.14314
20224.3.12.144/2824.3.12.145 to 24.3.12.15824.3.12.15914
20324.3.12.160/2824.3.12.161 to 24.3.12.17424.3.12.17514
20424.3.12.176/2824.3.12.177 to 24.3.12.19024.3.12.19114
20524.3.12.192/2824.3.12.193 to 24.3.12.20624.3.12.20714
20624.3.12.208/2824.3.12.209 to 24.3.12.22224.3.12.22314
20724.3.12.224/2824.3.12.225 to 24.3.12.23824.3.12.23914
20824.3.12.240/2824.3.12.241 to 24.3.12.25424.3.12.25514
20924.3.13.0/2824.3.13.1 to 24.3.13.1424.3.13.1514
21024.3.13.16/2824.3.13.17 to 24.3.13.3024.3.13.3114
21124.3.13.32/2824.3.13.33 to 24.3.13.4624.3.13.4714
21224.3.13.48/2824.3.13.49 to 24.3.13.6224.3.13.6314
21324.3.13.64/2824.3.13.65 to 24.3.13.7824.3.13.7914
21424.3.13.80/2824.3.13.81 to 24.3.13.9424.3.13.9514
21524.3.13.96/2824.3.13.97 to 24.3.13.11024.3.13.11114
21624.3.13.112/2824.3.13.113 to 24.3.13.12624.3.13.12714
21724.3.13.128/2824.3.13.129 to 24.3.13.14224.3.13.14314
21824.3.13.144/2824.3.13.145 to 24.3.13.15824.3.13.15914
21924.3.13.160/2824.3.13.161 to 24.3.13.17424.3.13.17514
22024.3.13.176/2824.3.13.177 to 24.3.13.19024.3.13.19114
22124.3.13.192/2824.3.13.193 to 24.3.13.20624.3.13.20714
22224.3.13.208/2824.3.13.209 to 24.3.13.22224.3.13.22314
22324.3.13.224/2824.3.13.225 to 24.3.13.23824.3.13.23914
22424.3.13.240/2824.3.13.241 to 24.3.13.25424.3.13.25514
22524.3.14.0/2824.3.14.1 to 24.3.14.1424.3.14.1514
22624.3.14.16/2824.3.14.17 to 24.3.14.3024.3.14.3114
22724.3.14.32/2824.3.14.33 to 24.3.14.4624.3.14.4714
22824.3.14.48/2824.3.14.49 to 24.3.14.6224.3.14.6314
22924.3.14.64/2824.3.14.65 to 24.3.14.7824.3.14.7914
23024.3.14.80/2824.3.14.81 to 24.3.14.9424.3.14.9514
23124.3.14.96/2824.3.14.97 to 24.3.14.11024.3.14.11114
23224.3.14.112/2824.3.14.113 to 24.3.14.12624.3.14.12714
23324.3.14.128/2824.3.14.129 to 24.3.14.14224.3.14.14314
23424.3.14.144/2824.3.14.145 to 24.3.14.15824.3.14.15914
23524.3.14.160/2824.3.14.161 to 24.3.14.17424.3.14.17514
23624.3.14.176/2824.3.14.177 to 24.3.14.19024.3.14.19114
23724.3.14.192/2824.3.14.193 to 24.3.14.20624.3.14.20714
23824.3.14.208/2824.3.14.209 to 24.3.14.22224.3.14.22314
23924.3.14.224/2824.3.14.225 to 24.3.14.23824.3.14.23914
24024.3.14.240/2824.3.14.241 to 24.3.14.25424.3.14.25514
24124.3.15.0/2824.3.15.1 to 24.3.15.1424.3.15.1514
24224.3.15.16/2824.3.15.17 to 24.3.15.3024.3.15.3114
24324.3.15.32/2824.3.15.33 to 24.3.15.4624.3.15.4714
24424.3.15.48/2824.3.15.49 to 24.3.15.6224.3.15.6314
24524.3.15.64/2824.3.15.65 to 24.3.15.7824.3.15.7914
24624.3.15.80/2824.3.15.81 to 24.3.15.9424.3.15.9514
24724.3.15.96/2824.3.15.97 to 24.3.15.11024.3.15.11114
24824.3.15.112/2824.3.15.113 to 24.3.15.12624.3.15.12714
24924.3.15.128/2824.3.15.129 to 24.3.15.14224.3.15.14314
25024.3.15.144/2824.3.15.145 to 24.3.15.15824.3.15.15914
25124.3.15.160/2824.3.15.161 to 24.3.15.17424.3.15.17514
25224.3.15.176/2824.3.15.177 to 24.3.15.19024.3.15.19114
25324.3.15.192/2824.3.15.193 to 24.3.15.20624.3.15.20714
25424.3.15.208/2824.3.15.209 to 24.3.15.22224.3.15.22314
25524.3.15.224/2824.3.15.225 to 24.3.15.23824.3.15.23914
25624.3.15.240/2824.3.15.241 to 24.3.15.25424.3.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses